# supercow

The [apt repo](https://wiki.debian.org/DebianRepository) server with [super-cow powers](https://unix.stackexchange.com/questions/92185/whats-the-story-behind-super-cow-powers)

## Features

- Periodic Auto-Signing
- Periodic Auto-Indexing
- Hosted through [nginx](https://nginx.org/)

## Usage

### Example

Run `docker run -ti --name supercow -v ./signing.key:/private/signing.key:ro -v ./pkgs:/private/pkgs:ro -e REPO_DOMAIN=apt.example.com supercow` and enjoy your apt repository.

### Environment variables

- `REPO_DOMAIN`: the base domain of your repository, e.g. pkg.maride.cc
- `REPO_DESCRIPTION`: repository description, e.g. "maride's finest packages"

### Volumes & Files

- `/private/signing.key`: supercow expects an already generated [GPG key](https://gnupg.org/); see `gengpg.sh` for a quickstart
- `/private/pkgs`: contains the .deb files to be hosted.

No file will be modified by supercow; the readonly bind option (`:ro`) may be used.

