#!/bin/bash -e
# release.sh: prints out a Release file header
# Arguments: release.sh <base domain> <description>

if [ "$#" -ne 2 ]; then
	echo "$0: <base domain> <description>" 1>&2
	exit 1
fi

DOMAIN="$1"
DESCRIPTION="$2"
DATE="$(date --utc --rfc-email)"

cat /aux/Release.template | \
sed "s/<<DOMAIN>>/$DOMAIN/g" | \
sed "s/<<DESCRIPTION>>/$DESCRIPTION/g" | \
sed "s/<<DATE>>/$DATE/g" | \
cat
